package packageForLT05;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics2D;
import java.awt.Rectangle;
import java.awt.geom.Rectangle2D;
import java.util.Scanner;

import javax.swing.JButton;
import javax.swing.JFrame;

import type.lang.*;

public class DrawVersion6 {

	public static void main(String[] args) {
		// Create the model.
		SimpleThreeDotModel model = new SimpleThreeDotModel();
		// Create the view.
		DotPanel panel = new DotPanel(model);

		int width = 400;
		int height = 400;
		JFrame frame = new JFrame("My Frame");
		frame.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
		frame.setSize(width, height);
		frame.setMinimumSize(new Dimension(width, height));
		frame.add(panel);
		frame.pack();
		frame.setVisible(true);

		// here's where we do the drawing
		Graphics2D graphicsObject = (Graphics2D) panel.getGraphics();
		frame.setBackground(Color.WHITE);
		panel.setBackground(Color.WHITE);
		graphicsObject.setBackground(Color.WHITE);

		Scanner input = new Scanner(System.in);
		while (true) {
			System.out.println("Nudge first dot to the right? [y/n/q]:");
			String userInput = input.nextLine();
			if (userInput.equals("y")) {
				model.nudgeToRightDot1();
			} else if (userInput.equals("q")) {
				break;
			}
		}
		model.changeDiameterofDot2(400);
	}
}
